<!-- Permet le chargement de la page qui va accueillir le code ci dessous  -->
{% extends "door/header.html" %}
{% load static %}

{% block content %}


<div id="subdiv">
  <form id="send-push__form">

	  <h3 class="header">Send a push notification</h3>
	  <p class="error"></p>
	  <input type="text" name="head" placeholder="Header: Your favorite airline 😍">
      
      <select name="selectboxuser" id="boxselect">
        <!-- si un utilisateur est passé dans l'url ex : url/sub?userselected=pi -->
        {% if userselected %}
           {% for for_user in list_user %}
              <!-- Affiche seulement l'utilisateur passé dans l'url -->
              {% if userselected == for_user.username %}
                 <option>{{ for_user }}</option>
              {% endif %}   
           {% endfor %}
        <!-- Si aucun utilisateur est passé dans l'url ex : url/sub -->      
        {% else %}
           <!-- Affiche tout les utilisateurs -->
           {% for for_user in list_user %}
              <option>{{ for_user }}</option>
           {% endfor %}
        {% endif %}
      </select>
      
      <textarea name="body" id="" cols="30" rows="10" placeholder="Body: Your flight has been cancelled 😱😱😱"></textarea>
	    <button>Send Me</button>
  </form>
</div>
<script src="{% static 'door/js/registerSw.js' %}"></script>
<script src="{% static 'door/js/site.js' %}"></script>

{% endblock %}
